POST
/
v1
/
messages
/
catalog
Send a catalog message
curl --request POST \
  --url https://api.wazapin.com/v1/messages/catalog \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel_id": "<string>",
  "to": "<string>",
  "body": "<string>",
  "footer": "<string>",
  "thumbnail_product_retailer_id": "<string>"
}
'
{
  "data": {
    "status": "<string>",
    "message_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Body

application/json
channel_id
string
required

Channel ID

Minimum string length: 1
to
string
required

Recipient phone number

Minimum string length: 1
body
string

Body text

Footer text

thumbnail_product_retailer_id
string

Product retailer ID for the thumbnail

Response

Created

data
object
required